#include <iostream>

using namespace std;

int main() {
	int n;
	cin>>n;
	
	int a[n];
	for(int i=0; i<n; i++){
		cin>>a[i];
	}
	
	for(int i=0; i<n-1; i++){
		int trenutni=i;
		for(int j=i+1; j<n; j++){
			if(a[j]>=a[trenutni] && a[j]!=a[i]){
				trenutni=j;
			}
		}
		if(trenutni!=i){
			int pom;
			pom=a[i];
			a[i]=a[trenutni];
			a[trenutni]=pom;
			
			for(int j=0; j<n; j++){
				cout<<a[j]<<" ";
			}
			return 0;
		}
	}
	
	for(int i=0; i<n-1; i++){
		for(int j=i+1; j<n; j++){
			if(a[i]==a[j]){
				for(int z=0; z<n; z++){
					cout<<a[z]<<" ";
				}
				return 0;
			}
		}
	}
	
	int pom=a[n-2];
	a[n-2]=a[n-1];
	a[n-1]=pom;
	for(int i=0; i<n; i++){
		cout<<a[i]<<" ";
	}
		
	return 0;
}